## python-fido2 0.3.0

=== examples/server/requirements.txt ===
-e ../../
flask
pyOpenSSL

=== debian/changelog ===
python-fido2 (0.3.0-2) unstable; urgency=high

  * Drop the pydist file

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 03 Aug 2018 00:26:33 +0800

python-fido2 (0.3.0-1) unstable; urgency=medium

  * Initial Debian package (upstream release 2018-04-20)
    Closes: #900940

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 25 Jul 2018 16:50:29 +0800

=== debian/control ===
Source: python-fido2
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Section: python
Priority: optional
Rules-Requires-Root: no
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-cryptography,
               python3-setuptools
Homepage: https://www.github.com/python-fido2/

Package: python3-fido2
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: libu2f-udev,
Description: Python library for implementing FIDO 2.0
 A Python library for communicating with a FIDO device over USB HID as 
 well as verifying attestation and assertion signatures.
 .
 FIDO (Fast Identity Online) is a set of protocols, including U2F (Universal 2nd
 Factor) and UAF (Universal Authentication Framework), that support usable,
 strong authentication of users using hardware tokens.

## python-fido2 0.5.0

=== debian/changelog ===
python-fido2 (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0 (2018-12-21)
    + Backwards-compatibility broken in minor ways
    + Now support implementing FIDO2/U2F-capable servers
    + Update debian/copyright

  * debian/control
    + Update uploader's email address
    + Fixup upstream's homepage
    + Remove duplicate field
    + Declare compliance with polivy v4.3.0.
      No change required

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 07 Feb 2019 21:15:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: python-fido2
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Uploaders: Nicolas Braud-Santoni <nicoo@debian.org>
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-cryptography,
                python3-setuptools
-Homepage: https://www.github.com/python-fido2/
+Homepage: https://developers.yubico.com/python-fido2
 
 Package: python3-fido2
 Architecture: all
-Section: python
 Depends: ${misc:Depends},
          ${python3:Depends}
 Recommends: libu2f-udev,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fido2
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-fido2 0.7.0

=== debian/changelog ===
python-fido2 (0.7.0-1) unstable; urgency=low

  * New upstream version 0.7.0 (2019-06-17)
    + New features
      - Add support for NFC devices using PCSC.
      - Add support for the hmac-secret Authenticator extension.
      - Client: Expose CTAP2 Info object as Fido2Client.info.
      - Server:
          Add support for AuthenticatorAttachment
          Add support for more key algorithms

    + Bug fixes
      - Don’t fail if CTAP2 Info contains unknown fields.
      - Honor max credential ID length and number of credentials.

  * debian/rules: Make dh_missing fail the build
  * debian/changelog: Fix typo in v0.5.0-1

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 13 Jul 2019 14:13:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-cryptography,

## python-fido2 0.8.1

=== debian/changelog ===
python-fido2 (0.8.1-1) unstable; urgency=medium

  * New upstream release (2019-11-25)

  * debian/upstream: Update signing keys
  * Declare compliance with policy v4.5.0.
    No change required

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Thu, 30 Jan 2020 23:33:58 +0100

python-fido2 (0.7.3-1) unstable; urgency=medium

  * New upstream release (2019-10-24)
    + Bugfixes
    + Add support for TPM attestation format

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 26 Oct 2019 12:35:10 +0200

python-fido2 (0.7.1-1) unstable; urgency=medium

  * New upstream version (2019-09-20)
  * Declare compliance with policy v4.4.1
    No change required.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 18 Oct 2019 16:13:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,12 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_clean:
+	chmod a-x fido2.egg-info/*
+	dh_clean
+
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+override_dh_missing:
+	dh_missing --fail-missing

## python-fido2 0.9.1

=== debian/changelog ===
python-fido2 (0.9.1-1) unstable; urgency=high (RC)

  * New upstream version 0.9.1
    Adds new CTAP error codes and improve handling of unknown codes.

  * Provides an API version for managing dependencies
  * Breaks yubikey-manager 3.x, due to API changes in 0.9.x

 -- nicoo <nicoo@debian.org>  Wed, 03 Feb 2021 16:09:18 +0100

python-fido2 (0.9.0-1) unstable; urgency=medium

  * New upstream version (2021-01-20)
    + Client API changed to better support extensions

  * d/rules: Re-enable testsuite
  * d/copyright: Update copyright date ranges

 -- nicoo <nicoo@debian.org>  Sun, 31 Jan 2021 01:30:32 +0100

python-fido2 (0.8.1-2) unstable; urgency=low

  * python3-fido2: Drop Recommends: libu2f-udev

  * Update maintainer's name and email address
  * Update upstream's signing key
  * Upgrade to debhelper compatibility level 13

  * d/copyright:
    + Set Upstream-Contact to Yubico's OSS maintainers role
    + Update package authorship info
  * d/control: Declare compliance with policy v4.5.1

 -- nicoo <nicoo@debian.org>  Thu, 14 Jan 2021 18:56:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: python-fido2
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Nicolas Braud-Santoni <nicoo@debian.org>
+Uploaders: nicoo <nicoo@debian.org>
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-cryptography,
+               python3-mock,
                python3-setuptools
 Homepage: https://developers.yubico.com/python-fido2
 
@@ -16,7 +17,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: libu2f-udev,
+Breaks: python3-ykman (<< 4~)
+Provides: python3-fido2-api (= 0.9)
 Description: Python library for implementing FIDO 2.0
  A Python library for communicating with a FIDO device over USB HID as 
  well as verifying attestation and assertion signatures.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fido2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	chmod a-x fido2.egg-info/*
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://github.com/Yubico/python-fido2/releases .*/fido2-(.*)\.tar\.gz

## python-fido2 1.1.2

=== debian/changelog ===
python-fido2 (1.1.2-2) unstable; urgency=medium

  * Team upload

  [ Dr. Tobias Quathamer ]
  * Add Vcs-{Git,Browser} information
  * Add two bug numbers which are fixed in this upload
  * The upstream API version is 1.0

  [ Florian Schlichting ]
  * d/watch: drop filenamemangle as suggested by lintian
  * Add upstream metadata file
  * Upload to unstable (closes: 1045725)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 12 Jan 2024 21:25:33 +0100

python-fido2 (1.1.2-1) experimental; urgency=medium

  * Team upload.

  * New upstream version 1.1.2 (Closes: #1042109)
    - Add Breaks: solo-python (<= 0.1.1-4).
      The solo1-cli program is not yet adapted for python-fido2-1.1,
      see https://github.com/solokeys/solo1-cli/issues/157 for
      details.
    - Update Provides: python3-fido2-api (= 1.1)
  * Update d/watch for GitHub
  * Remove override_dh_clean from d/rules, not needed anymore
    (Closes: #1052899)
  * Build-Depend on pybuild-plugin-pyproject instead of python3-setuptools
  * Build-Depend on python3-poetry-core
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 10 Oct 2023 14:11:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cryptography,
                python3-mock,
-               python3-setuptools
+               python3-poetry-core
 Homepage: https://developers.yubico.com/python-fido2
+Vcs-Git: https://salsa.debian.org/auth-team/python-fido2.git
+Vcs-Browser: https://salsa.debian.org/auth-team/python-fido2
 
 Package: python3-fido2
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Breaks: python3-ykman (<< 4~)
-Provides: python3-fido2-api (= 0.9)
+Breaks: python3-ykman (<< 4~),
+        solo-python (<= 0.1.1-4)
+Provides: python3-fido2-api (= 1.0)
 Description: Python library for implementing FIDO 2.0
- A Python library for communicating with a FIDO device over USB HID as 
+ A Python library for communicating with a FIDO device over USB HID as
  well as verifying attestation and assertion signatures.
  .
  FIDO (Fast Identity Online) is a set of protocols, including U2F (Universal 2nd

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fido2

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## python-fido2 1.1.3

=== debian/changelog ===
python-fido2 (1.1.3-1) unstable; urgency=medium

  * Added myself to uploaders.
  * upstream gpg signature changed from .sig to .asc
    updated watch file accordingly
  * New upstream version 1.1.3
  * Remove python3-mock build dep. (Closes:#1066884)
  * Bump standards version to 4.7.0 - no changes needed.
  * Add a pybuild autopkgtest testsuite
  * Install examples provided by upstream
  * Update copyright for the debian/ folder

 -- Patrick Winnertz <winnie@debian.org>  Thu, 09 May 2024 20:24:53 +0200

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.asc/" \
https://api.github.com/repos/Yubico/python-fido2/releases?per_page=50 \
https://github.com/Yubico/python-fido2/releases/download/[^/]*/fido2-v?@ANY_VERSION@.tar.gz

## python-fido2 1.2.0

=== debian/changelog ===
python-fido2 (1.2.0-2) unstable; urgency=medium

  * Fix compatibility issue with pyscard 2.2.2 (Closes: #1103159)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 15 Apr 2025 20:40:46 +0200

python-fido2 (1.2.0-1) unstable; urgency=medium

  * Ending of the gpg signature file has changed.
  * New upstream version 1.2.0 (Closes: #1093077)

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 22:06:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+execute_after_dh_fixperms:
+	chmod a-x debian/python3-fido2/usr/share/doc/python3-fido2/examples/server/poetry.lock

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.sig/" \
https://api.github.com/repos/Yubico/python-fido2/releases?per_page=50 \
https://github.com/Yubico/python-fido2/releases/download/[^/]*/fido2-v?@ANY_VERSION@.tar.gz

## python-fido2 2.0.0

=== debian/changelog ===
python-fido2 (2.0.0-1) unstable; urgency=medium

  * Move package to pkg-security team
  * Fixed watch file to ignore the beta version
  * New upstream version 2.0.0
  * Removed patch incorporated upstream
  * Make the unit tests working again

 -- Patrick Winnertz <winnie@debian.org>  Fri, 19 Dec 2025 16:05:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-fido2
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: nicoo <nicoo@debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Patrick Winnertz <winnie@debian.org>, nicoo <nicoo@debian.org>
 Section: python
 Priority: optional
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
                python3-cryptography,
-               python3-mock,
-               python3-poetry-core
+               python3-poetry-core,
+	       python3-pytest
 Homepage: https://developers.yubico.com/python-fido2
 Vcs-Git: https://salsa.debian.org/auth-team/python-fido2.git
 Vcs-Browser: https://salsa.debian.org/auth-team/python-fido2
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-fido2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=fido2
+export PYBUILD_TEST_RUNNER=pytest
+export PYBUILD_TEST_ARGS=--ignore=tests/device 
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="searchmode=plain,\
pgpsigurlmangle=s/$/.sig/" \
https://api.github.com/repos/Yubico/python-fido2/releases?per_page=50 \
https://github.com/Yubico/python-fido2/releases/download/[0-9.]+/fido2-v?@ANY_VERSION@.tar.gz
